Bug 435576 - Review Request: ncdu - Text-based disk usage viewer
Review Request: ncdu - Text-based disk usage viewer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-01 19:32 EST by Richard Fearn
Modified: 2009-07-26 15:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-03 10:30:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bugs.michael: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
spec patch (904 bytes, patch)
2008-04-13 04:58 EDT, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Richard Fearn 2008-03-01 19:32:23 EST
Spec URL: http://richardfearn.co.uk/files/fedora/ncdu-1.3-1/ncdu.spec
SRPM URL: http://richardfearn.co.uk/files/fedora/ncdu-1.3-1/ncdu-1.3-1.fc8.src.rpm
Description:

Hello! I'm looking for a sponsor for my first Fedora package, ncdu.

ncdu (Ncurses disk usage) is an ncurses version of the du command. It provides a fast and easy interface to your harddrive.

The SRPM builds using mock against Fedora 8 and devel. The resulting RPMs are rpmlint clean.
Comment 1 Michael Schwendt 2008-04-13 04:58:38 EDT
Created attachment 302260 [details]
spec patch

> Requires:	  ncurses

Delete this. We rely on the automatic library SONAME
dependencies which are added by rpmbuild.
See "rpm --query --requires ..." of the binary rpm.

> ./configure --prefix=%{_usr} --libdir=%{_libdir}

Prefer the %configure macro, as it sets --prefix --libdir
and other values. It also exports our global compiler flags
(which are not built with when running ./configure).
See "rpm --eval %configure" for details.

> %doc %{_mandir}/man1/ncdu.1.gz

Files in %_mandir are marked %doc automatically.

> Summary:	  Ncurses disk usage

I recommend a slightly more descriptive and less ambiguous
summary.
Comment 2 Richard Fearn 2008-04-25 17:00:55 EDT
Thanks for your comments on this package, too, Michael - I'll be updating the
package over the weekend.
Comment 3 Richard Fearn 2008-04-25 18:03:39 EDT
I've made a new package available:

Spec URL: http://richardfearn.co.uk/files/fedora/ncdu-1.3-2/ncdu.spec
SRPM URL: http://richardfearn.co.uk/files/fedora/ncdu-1.3-2/ncdu-1.3-2.fc8.src.rpm

This incorporates the suggestions made by Michael in comment 1. It builds
against Fedora 9 using mock. The resulting RPMs are rpmlint clean.
Comment 4 Richard Fearn 2008-04-29 14:59:13 EDT
Changing bug title to reflect new package summary.
Comment 5 Michael Schwendt 2008-05-01 12:33:49 EDT
Package ncdu-1.3-2.fc8.src.rpm from comment 3: APPROVED
Comment 6 Michael Schwendt 2008-05-01 12:35:12 EDT
Richard, feel free to continue with the process in the
Fedora Accounts System: 
http://fedoraproject.org/wiki/PackageMaintainers/Join
Comment 7 Richard Fearn 2008-05-01 15:43:34 EDT
Thank you Michael!
Comment 8 Richard Fearn 2008-05-02 17:20:31 EDT
New Package CVS Request
=======================
Package Name: ncdu
Short Description: Text-based disk usage viewer
Owners: richardfearn
Branches: F-9
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-05-02 18:23:09 EDT
cvs done.
Comment 10 Richard Fearn 2009-07-26 14:34:09 EDT
Package Change Request
======================
Package Name: ncdu
New Branches: EL-5
Owners: richardfearn
Comment 11 Kevin Fenzi 2009-07-26 15:48:59 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.